/*
 * @Author: zhuchuanyong
 * @Date: 2021-01-22 15:13:57
 * @LastEditors: zhuchuanyong
 * @LastEditTime: 2021-01-30 01:04:42
 * @FilePath: \App.tsx
 */
/**
 * Sample React Native App
 * https://github.com/facebook/react-native
 *
 * Generated with the TypeScript template
 * https://github.com/react-native-community/react-native-template-typescript
 *
 * @format
 */
import React from 'react';

import Navigation from './src/router/index';
import {Provider} from 'react-redux';
import store from './src/store/index';
import JPush from 'jpush-react-native';
declare const global: {HermesInternal: null | {}};

const App = () => {
  JPush.init();
  const connectListener = (result: any) => {
    console.log('connectListener:' + JSON.stringify(result));
  };
  JPush.addConnectEventListener(connectListener);

  //通知回调
  const notificationListener = (result: any) => {
    console.log('notificationListener:' + JSON.stringify(result));
  };
  JPush.addNotificationListener(notificationListener);
  return (
    <Provider store={store}>
      <Navigation />
    </Provider>
  );
};

export default App;
