/*
 * @Author: zhuchuanyong
 * @Date: 2021-01-28 13:07:52
 * @LastEditors: zhuchuanyong
 * @LastEditTime: 2021-01-28 13:08:45
 * @FilePath: \src\store\models\home.ts
 */
export const home = {
  state: {
    num: 1, //定义数据
  },
  //   同步方法
  reducers: {
    // handle state changes with pure functions
    add(state: any, payload: any) {
      // state 就是定义的 state
      // payload 就是调用时传过来的参数

      // 更新数据时，要copy 一份再更新
      return {...state, num: state.num + payload};
    },
  },
  // 异步方法
  effects: {
    async AsyncAdd(payload: any, rootState: any) {
      // payload 就是调用时传过来的参数
      // rootState 定义的全部store数据
      await new Promise((resolve) => setTimeout(resolve, 2000));
      // 使用this 调用reducers里的方法
      this.add(payload);
    },
  },
};
